Package org.eclipse.jface.text.hyperlink

# Interface IHyperlinkPresenterExtension

All Known Implementing Classes:
  `DefaultHyperlinkPresenter`, `MultipleHyperlinkPresenter`

public interface IHyperlinkPresenterExtension
Extends `IHyperlinkPresenter` with ability to query whether the currently shown hyperlinks can be hidden.

Clients may implement this interface.

Since:
  3.4

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canHideHyperlinks()`
Tells whether the currently shown hyperlinks can be hidden.

## Method Details

### canHideHyperlinks

boolean canHideHyperlinks()
Tells whether the currently shown hyperlinks can be hidden.

Returns:
  `true` if the hyperlink manager can hide the current hyperlinks